# Generating a Universal Link for WorkflowGen Plus v2

## Overview

As of WorkflowGen server version 7.16.0, you can generate a universal link to simplify the Microsoft Entra ID (ME-ID) login process for your WorkflowGen Plus mobile app users.

{% hint style="warning" %}
The **WorkflowGen Plus v2 mobile app** supports ME-ID delegated authentication with the **Microsoft Identity Platform v2.0** (`ms-identity-v2`) provider only.
{% endhint %}

## Base URL

* **protocol:** `workflowgenplus://`
* **hostname:** `auth.init`

## Parameters

You'll need to specify the following parameters:

* **provider**: `ms-identity-v2`
* **server\_address**: Your WorkflowGen application URL, whose value must be URL encoded (e.g. `https://mycompany.com/wfgen`)
* **client\_id**: This is the **application (client) ID** from your `WorkflowGen Plus` native application registration in ME-ID (e.g. `4b72dd6c-013e-4a9c-b837-f03a58cb8fd1`)
* **tenant\_id**: This is the **directory (tenant) ID** from your `WorkflowGen Plus` native application registration in ME-ID (e.g. `6g909d00-8580-49a4-9003-a30f6b87ae86`)
* **audience**: Your WorkflowGen GraphQL API URL, whose value must be URL encoded (e.g. `https://mycompany.com/wfgen/graphql`)

The universal link should follow this format:

```
workflowgenplus://auth.init?provider=ms-identity-v2&server_address=https%3A%2F%2Fmycompany.com%2Fwfgen&client_id=4b72dd6c-013e-4a9c-b837-f03a58cb8fd1&tenant_id=6g909d00-8580-49a4-9003-a30f6b87ae86&audience=https%3A%2F%2Fmycompany.com%2Fwfgen%2Fgraphql
```

{% hint style="success" %}
Once you've generated the universal link, give it to your users, who can use it to sign in to WorkflowGen Plus v2 with the preset sign-in method.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.workflowgen.com/azure/9.3/generating-a-universal-link-for-workflowgen-plus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
